
<?php

define('BASE_ROOT_PATH',str_replace('\\','/',dirname(__FILE__)));

require_once(BASE_ROOT_PATH . '/fooder.php');

$gfcgi_run = 2;

if($gfcgi_run == 0) { //模拟请求
    $file = BASE_ROOT_PATH . '/debug_run.php';
    include $file;
    Base::mobile_init();
    Base::mobile_control();
} elseif ($gfcgi_run == 1) {
    $file = BASE_ROOT_PATH . '/research/research_run.php';
    Base::run_util();
    include $file;
} else {
    Base::run_util();
    $file = BASE_CRONTAB_PATH . '/crawl/fetch_goods.php';

    require $file;
}
?>


